breeds.player = {}
breeds.player.textures = {}
breeds.player.textures["zoom"] = l_g.newImage("breeds/player/zoom.png")
breeds.player.textures["00"] = l_g.newImage("breeds/player/00.png")
breeds.player.textures["01"] = l_g.newImage("breeds/player/01.png")
breeds.player.textures["02"] = l_g.newImage("breeds/player/02.png")
breeds.player.textures["03"] = l_g.newImage("breeds/player/03.png")

--  00 = players entity
function breeds.player.draw(v)
	local size = v.r/128
	l_g.setBlendMode(love.blend_normal)
	
	setColor(newColor(129, 128, 255, 128))
	l_g.draw(breeds.player.textures["zoom"], v.x, v.y, 0, getCamera():unscaleSym(1, 1))
	
	-- sphere effect
	setColor(newColor(255, 255, 255))
	l_g.draw(breeds.player.textures["02"], v.x, v.y, 0,  size)
	
	-- circle
	setColor(newColor(0, 0, 255))
	l_g.draw(breeds.player.textures["00"], v.x, v.y, 0,  size)
	
	-- animation
	setColor(newColor(255, 255, 255))
	l_g.draw(breeds.player.textures["01"], v.x, v.y, game.time/30 *360,  v.r*2.66/256)
	l_g.draw(breeds.player.textures["01"], v.x, v.y, game.time/30 *(-360),  v.r*2.66/256)
	
	-- light effect
	setColor(newColor(255, 255, 255))
	l_g.draw(breeds.player.textures["03"], v.x, v.y, 0,  size)
end

function breeds.player.task (v, i, dt)
	-- control entity
	if love.mouse.isDown(love.mouse_left) then
		controls.move.input(dt)
	end
	
	v.i = i
	player = v
end
