	-- 10 = lifeless entity
breeds.default = {}
breeds.default.textures = {}
breeds.default.textures["0"] = love.graphics.newImage("breeds/default/0.png")
breeds.default.textures["00"] = love.graphics.newImage("breeds/default/00.png")
breeds.default.textures["01"] = love.graphics.newImage("breeds/default/01.png")
breeds.default.textures["02"] = love.graphics.newImage("breeds/default/02.png")
breeds.default.textures["11"] = love.graphics.newImage("breeds/default/11.png")
breeds.default.textures["12"] = love.graphics.newImage("breeds/default/12.png")
breeds.default.textures["13"] = love.graphics.newImage("breeds/default/13.png")

breeds.default.draw = function (v, i)
	cpu.DEsetup = cpu.DEsetup - love.timer.getTime()
	local x = v.x
	local y = v.y
	local m = v.m
	local r = v.r
	local pm = player.m
	
	local size = r/128
	local b_d_t = breeds.default.textures
	local l_g_draw = l_g.draw
	local default = newColor(255, 255, 255)
	
	local ratio = m/pm	
	cpu.DEsetup = cpu.DEsetup + love.timer.getTime()
	
	
	cpu.DEmisc = cpu.DEmisc - love.timer.getTime()
	if m <= pm then -- smaller than player
		setColor(newColor(255*ratio, 51, 255, 128+127*ratio))
		-- glow
		l_g_draw(b_d_t["0"], x, y, 0, getCamera():unscaleSym(1))
		
		if getCamera():scaleSym(r) > 2 then
			setColor(newColor(255*ratio, 0, 255, 128+127*ratio))
			-- circle
			l_g_draw(b_d_t["00"], x, y, 0,  size)
			
			-- sphere effect
			l_g.setBlendMode(love.blend_normal)
			setColor(newColor(255, 255, 255, 127))
			l_g_draw(b_d_t["02"], x, y, 0,  size)
			
			-- default texture
			setColor(newColor(255, 255, 255, 255*ratio))
			l_g_draw(b_d_t["11"], x, y, i,  size)
			
			-- animation
			-- local i = 0
			-- local j = 2+math.floor((ratio*2)+0.1) -- animations (min 2, max 4 animations)
			-- local t = 5-(ratio*2) -- time (min 3, max 5 seconds)
			-- while i < j do
				-- setColor(newColor(255, 255, 255, 255-255*((game.time+t/j*i)%t/t)^3))
				-- l_g_draw(b_d_t["01"], x, y, 0,  v.r*4*((game.time+t/j*i)%t/t)/256)
				-- i = i+1
			-- end
			
			l_g.setBlendMode(love.blend_additive)
			-- light effect
			setColor(default)
			l_g_draw(b_d_t["13"], x, y, 0,  size)
		end
	else -- bigger than player
		setColor(newColor(255, 0, 0))
		-- glow
		l_g_draw(b_d_t["0"], x, y, 0, getCamera():unscaleSym(1))
		
		if getCamera():scaleSym(r) > 2 then
			-- circle
			l_g_draw(b_d_t["00"], x, y, 0,  size)
			
			-- sphere effect
			l_g.setBlendMode(love.blend_normal)
			setColor(newColor(255, 255, 255, 64))
			l_g_draw(b_d_t["02"], x, y, 0,  size)
			
			-- default texture
			setColor(default)
			l_g_draw(b_d_t["11"], x, y, i,  size)
			
			-- animation
			-- setColor(newColor(255, 255, 255, 255-255*(game.time%4/4)^3))
			-- l_g_draw(b_d_t["12"], x, y, 0,  v.r*4*(game.time%4/4)/256)
			-- setColor(newColor(255, 255, 255, 255-255*((game.time+2)%4/4)^3))
			-- l_g_draw(b_d_t["12"], x, y, 0,  v.r*4*((game.time+2)%4/4)/256)
			
			l_g.setBlendMode(love.blend_additive)
			-- light effect
			setColor(default)
			l_g_draw(b_d_t["13"], x, y, 0,  size)
		end
	end
	cpu.DEmisc = cpu.DEmisc + love.timer.getTime()
end
breeds.default.task = function (v, i, dt)
end
