breeds.gravitator = {}
breeds.gravitator.textures = {}
breeds.gravitator.textures["0"] = love.graphics.newImage("breeds/gravitator/0.png")
breeds.gravitator.textures["00"] = love.graphics.newImage("breeds/gravitator/00.png")
breeds.gravitator.textures["01"] = love.graphics.newImage("breeds/gravitator/01.png")
breeds.gravitator.textures["02"] = love.graphics.newImage("breeds/gravitator/02.png")
breeds.gravitator.textures["03"] = love.graphics.newImage("breeds/gravitator/03.png")

--  00 = players entity
function breeds.gravitator.draw(v)
	local size = v.r/128
	local b_g_t = breeds.gravitator.textures
	local default = newColor(255, 255, 128)
	
	if v.m < player.m then
		setColor(newColor(128/player.m*v.m, 255, 0))
	else
		setColor(newColor(255, 255, 0))
	end
	
	l_g.draw(b_g_t["0"], v.x, v.y, 0, getCamera():unscaleSym(1, 1))
	if getCamera():scaleSym(v.r*2) >= 5 then
		love.graphics.setBlendMode(love.blend_normal)
		l_g.draw(b_g_t["00"], v.x, v.y, 0, size)
		setColor(default)
		l_g.draw(b_g_t["01"], v.x, v.y, 0, size)
		-- animation
		-- l_g.draw(b_g_t["02"], v.x, v.y, game.time/15 *360, size)
		-- l_g.draw(b_g_t["03"], v.x, v.y, game.time/15 *(-360), size)
	end 
end

function breeds.gravitator.task (v, i, dt)
	for i2, v2 in pairs(entities) do
		if i ~= i2 then
			-- Vector V2>V
			-- it does not like d for a reason!!
			local vx = v.x-v2.x
			local vy = v.y-v2.y
			local d = (vx^2+vy^2)^0.5
			v2.sx = v2.sx + dt*vx/d^2
			v2.sy = v2.sy + dt*vy/d^2
		end
	end
end
