-- local functions like moving, zooming, etc
controls = {}
controls.move = {}
controls.move.timer = 0
controls.move.hold = 0
function controls.move.input(dt)
	if love.mouse.isDown(love.mouse_left) then
		controls.move.timer = controls.move.timer+dt/game.speed
	end
	if controls.move.timer > 0.2 then
		controls.move.hold = controls.move.hold +1
		local x, y = love.mouse.getPosition()
		controls.move.push(entities[player.i], x, y) -- , controls.move.hold
		controls.move.timer = controls.move.timer-0.2
	end
end

function controls.move.push(entity, x, y, strenght)
	local strenght = math.sqrt(strenght or 1)
	local vx = entity.x - x
	local vy = entity.y - y
	local d = (vx^2+vy^2)^0.5
	vx = vx/d
	vy = vy/d
	
	entity.sx = entity.sx + vx*strenght*0.2*entity.r^0.5
	entity.sy = entity.sy + vy*strenght*0.2*entity.r^0.5
	local fume = entity.m*0.01*strenght -- Anfangs zu wenig?
	entity.m = entity.m - fume
	entity.r = radius(entity.m)
	
	local x = entity.x - vx*(entity.r+radius(fume)*2)
	local y = entity.y - vy*(entity.r+radius(fume)*2)
	local sx = entity.sx - vx*3*entity.r^0.5
	local sy = entity.sy - vy*3*entity.r^0.5
	create_entity("default", fume, x, y, sx, sy)
end
